For the complete documentation index, see llms.txt. This page is also available as Markdown.

updateCard

Perform various update operations on card records.

Symitar eDocs References: Coming soon.

Operations

updateCardByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CardLocatorintegerOptional
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/updateCardByID
POST /nexum/627/2022.01/account/updateCardByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 250

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardUpdatableFields": {
    "Description": "NEXUM W4 CARD UPD",
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateCardByID"
}

updateCardAccessByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CardAccessLocatorintegerOptional
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCardAccessByID
POST /nexum/627/2022.01/account/updateCardAccessByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 273

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardAccessLocator": 20,
  "CardAccessUpdatableFields": {
    "EnableInquiry": 1,
    "EnableWithdrawal": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateCardAccessByID"
}

updateCardNameByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CardNameLocatorintegerOptional
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCardNameByID
POST /nexum/627/2022.01/account/updateCardNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 266

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardNameLocator": 21,
  "CardNameUpdatableFields": {
    "First": "NEXUMUPD",
    "UserChar1": "W4"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateCardNameByID"
}

updateCardNoteByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CardNoteLocatorintegerOptional
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCardNoteByID
POST /nexum/627/2022.01/account/updateCardNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 289

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardNoteLocator": 19,
  "CardNoteUpdatableFields": {
    "Text": [
      {
        "EntryId": 1,
        "Text": "NEXUM W4 CARD NOTE UPDATED"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateCardNoteByID"
}

Last updated

Was this helpful?